/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.acct;

import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

/**
 * Class AcctPackImagename represnet an accounting packet with image name.
 */
@Struct
public class AcctPackImagename extends AcctPack {
	@StructField(n=2,type=FieldType.VARSTR,prefixlength=1)
	private String imagename;
	/**
	 * Get image name.
	 * @return image name
	 */
	public String getImagename() {
		return imagename;
	}
	protected String subToString() {
		return "imagename=" + imagename;
	}
}
