/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.acct.test;

import java.io.FileOutputStream;
import java.io.PrintStream;

import dk.vajhoej.vms.acct.AcctFile;
import dk.vajhoej.vms.acct.AcctRec;

public class Test2 {
	public static void main(String[] args) {
		try {
			int n = 0;
			long t1 = System.currentTimeMillis();
			PrintStream ps = new PrintStream(new FileOutputStream(args[1]));
			AcctFile af = new AcctFile(args[0]);
			while(af.more()) {
				AcctRec ar = af.read();
				ps.println(ar);
				n++;
			}
			af.close();
			ps.close();
			long t2 = System.currentTimeMillis();
			System.out.println(n + " records in " + (t2 - t1) + " milliseconds");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
